Subject: [AVT] Help with DVM and AV3 entries in wave-avi registry

From: Cullen Jennings <[email-masked]>
Date: Tue, 28 Aug 2007 14:29:43 -0700

Hi All,

Shawn pointed out there could be a problem here. Can anyone provide  
definitive references for these or pointers on how to solve it?

Thanks, Cullen

The registry is at http://www.iana.org/assignments/wave-avi-codec- 
registry

Begin forwarded message:

> From: "Michelle Cotton via RT" <[email-masked]>
> Date: August 28, 2007 10:38:41 AM PDT
> Cc: [email-masked], [email-masked]
> Subject: [IANA #97962] Codec registry inaccuracies
> Reply-To: [email-masked]
>
> Jon and Cullen,
>
> Thomas Narten suggested maybe this is a RAI area item, so I'm  
> checking with you both to see if you can
> assist.
>
> We received the below inquiry about 2 registrations being incorrect  
> in the following registry:
> http://www.iana.org/wave-avi-codec-registry
>
> Specifically:  Dolby AC3 SPDIF  0x0092
>                     DVM                    0x2000
>
> See specifics below in his message.
>
> I don't believe we have made any updates to this registry since  
> I've been here accept for format edits
> (not content).
>
> Any ideas on how this should be corrected?
> These are all documented in RFC 2361.
> http://www.rfc-editor.org/rfc/rfc2361.txt
>
> Any input you have would be great, even if it is pointing us to  
> someone else :)
>
> Thanks,
>
> Michelle
> IANA
>
>
> On Mon Aug 13 18:16:20 2007, [email-masked] wrote:
>>> Can you provide the URL for which registry you are referring to?
>>
>> Sure thing:
>>
>> http://www.iana.org/assignments/wave-avi-codec-registry
>>
>> It seems that AC3 and DVM are mixed up. Or at least, I know a Format
>>    Tag of 0x2000 means AC3 for sure.
>>
>> I found this because of an AVI that wouldn't play sound. It's tag was
>>    0x2000 and I looked it up in the registry (which identifies it as
>>    DVM). I searched for the namespace type (audio/ 
>> vnd.wave;codec=2000)
>>    and found this:
>>
>> http://forum.doom9.org/archive/index.php/t-34712.html
>>
>> [quote]
>> For instance, Tag2000 is AC3, yet in the RFC, AC3 is listed as Tag92.
>>    It is the only listing for AC3 in the RFC :
>> [snip]
>> Furthermore, tag2000 is in the list, but is listed as DVM. What in  
>> the
>>    world is DVM?
>> [/quote]
>>
>> I'd like to provide an automatic codec download service, and I  
>> planned
>>    on using RFC 2361 as a reference. I can easily swap these two, but
>>    I'm wondering if there are other entries that need fixing.
>> -SHAWN-
>>
>>
>

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt